<?php
// Include your database connection file here
include('connection.php');

// Fetch filter parameters from the URL
$search = $_GET['search'];
$type = $_GET['type'];
$categories = json_decode($_GET['categories']);

// Build the SQL query based on filter parameters
$sql = "SELECT * FROM product WHERE 1";

if (!empty($search)) {
    $sql .= " AND name LIKE '%$search%'";
}

if (!empty($type)) {
    $sql .= " AND type = '$type'";
}

if (!empty($categories)) {
    $categoryString = implode("','", $categories);
    $sql .= " AND category IN ('$categoryString')";
}

// Execute the query
$result = mysqli_query($con, $sql);

// Display the filtered results in the table
while ($row = mysqli_fetch_assoc($result)) {
    echo "<tr>";
    echo "<td>{$row['id']}</td>";
    echo "<td>{$row['name']}</td>";
    echo "<td>{$row['type']}</td>";
    echo "<td>{$row['category']}</td>";
    // Add more columns as needed
    echo "</tr>";
}

// Close the database connection
mysqli_close($con);
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Product Search and Filter</title>
    <style>
        #filter-container {
            margin-bottom: 20px;
        }
    </style>
</head>
<body>

<div id="filter-container">
    <form method="GET">
    <label for="search">Search:</label>
    <input type="text" name="search" oninput="filterProducts()">
    
    <br>
    
    <label>Type:</label>
    <input type="radio" name="type" value="Rentable" onclick="filterProducts()"> Rentable
    <input type="radio" name="type" value="Donated" onclick="filterProducts()"> Donated
    <input type="radio" name="type" value="Normal" onclick="filterProducts()"> Normal
    
    <br>
    
    <label>Categories:</label>
    <input type="checkbox" name="category" value="Diagnostic Equipment" onclick="filterProducts()"> Diagnostic Equipment
    <input type="checkbox" name="category" value="Therapeutic Equipment" onclick="filterProducts()"> Therapeutic Equipment
    <input type="checkbox" name="category" value="Monitoring Equipment" onclick="filterProducts()"> Monitoring Equipment
    <!-- Add more categories as needed -->

    </form>
</div>

<table id="product-table" border="1">
    <!-- Display the table headers here -->
    <tr>
        <th>ID</th>
        <th>Name</th>
        <th>Type</th>
        <th>Category</th>
        <!-- Add more columns as needed -->
    </tr>
    <!-- Table rows will be dynamically populated using PHP -->
</table>

<script>
    function filterProducts() {
        // Fetch values from the filter options
        var search = document.getElementById('search').value;
        var type = document.querySelector('input[name="type"]:checked') ? document.querySelector('input[name="type"]:checked').value : '';
        
        var categories = [];
        var categoryCheckboxes = document.querySelectorAll('input[name="category"]:checked');
        categoryCheckboxes.forEach(function(checkbox) {
            categories.push(checkbox.value);
        });

        // Send AJAX request to the server to fetch filtered products
        var xhr = new XMLHttpRequest();
        xhr.onreadystatechange = function() {
            if (xhr.readyState == 4 && xhr.status == 200) {
                // Update the table with the filtered data
                document.getElementById('product-table').innerHTML = xhr.responseText;
            }
        };
        xhr.open('GET', 'filter_products.php?search=' + search + '&type=' + type + '&categories=' + JSON.stringify(categories), true);
        xhr.send();
    }
</script>

</body>
</html>