<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Product Page</title>
    <style>
        #product-images {
            float: right;
            width: 40%;
        }

        #product-description {
            width: 50%;
            margin: 20px;
        }

        #review-section {
            margin: 20px;
        }

        .header .dropdown.cart {
        float: left;
        margin-right: auto;
      }   

    </style>
</head>
<body>
    <div id="product-images">
        <img src="product1.jpg" alt="Product Image 1" id="product-img">
        <button onclick="changeImage(-1)">Previous</button>
        <button onclick="changeImage(1)">Next</button>
    </div>

    <div id="product-description">
        <h2>Product Name</h2>
        <p id="product-price">$99.99</p>
        
        <label for="quantity">Quantity:</label>
        <input type="number" id="quantity" value="1" min="1">
        
        <button onclick="addToCart()">Add to Cart</button>

        <div id="review-section">
            <h3>Product Reviews</h3>
            <!-- PHP code to fetch and display reviews from a database -->
            <?php
                // Simulated reviews
                $reviews = array(
                    array("user" => "User1", "review" => "Great product!"),
                    array("user" => "User2", "review" => "Highly recommended."),
                    // Add more reviews as needed
                );

                foreach ($reviews as $review) {
                    echo "<p><strong>{$review['user']}:</strong> {$review['review']}</p>";
                }
            ?>
        </div>
    </div>

    <script>
        var currentImageIndex = 0;
        var images = ["product1.jpg", "product2.jpg", "product3.jpg"]; // Add more image URLs as needed

        function changeImage(index) {
            currentImageIndex += index;

            // Ensure the index stays within bounds
            if (currentImageIndex < 0) {
                currentImageIndex = images.length - 1;
            } else if (currentImageIndex >= images.length) {
                currentImageIndex = 0;
            }

            document.getElementById("product-img").src = images[currentImageIndex];
        }

        function addToCart() {
            var quantity = document.getElementById("quantity").value;
            // Add logic to handle adding the product to the cart
            alert("Added " + quantity + " items to the cart!");
        }
    </script>
</body>
</html>