<?php

session_start();

include('connection.php');

function duplicateDirectory($source, $destination)
{
    if (is_dir($source)) {
        // Create the destination directory if it doesn't exist
        if (!is_dir($destination)) {
            mkdir($destination, 0777, true);
        }

        // Open the source directory
        $dir = opendir($source);

        // Loop through each file in the directory
        while (($file = readdir($dir)) !== false) {
            // Skip '.' and '..'
            if ($file == '.' || $file == '..') {
                continue;
            }

            $sourceFile = $source . '/' . $file;
            $destinationFile = $destination . '/' . $file;

            if (is_dir($sourceFile)) {
                // Recursively duplicate subdirectories
                duplicateDirectory($sourceFile, $destinationFile);
            } else {
                // Copy files
                copy($sourceFile, $destinationFile);
            }
        }

        // Close the directory
        closedir($dir);
    }
}

function redirectToHomePage()
{
    header('Location: index.php');
    exit();
}

include('uuidv4.php');

$msg = '';


if (isset($_SESSION['uuid'])) {
    redirectToHomePage();
}

if (isset($_POST['submit'])) {

    //gen uuid
    $uuid = guidv4();

    //first filter
    $username = stripcslashes($_POST['username']);
    $password = stripcslashes($_POST['password']);
    $role_id = "4"; //stripcslashes($row['role_id']);
    $fname = stripcslashes($_POST['fname']);
    $lname = stripcslashes($_POST['lname']);
    $phone = stripcslashes($_POST['phone']);
    $email = stripcslashes($_POST['email']);

    //second filter
    $username = mysqli_real_escape_string($con, $username);
    $password = mysqli_real_escape_string($con, $password);
    $password = password_hash($password, PASSWORD_DEFAULT);
    $fname = stripcslashes($_POST['fname']);
    $lname = stripcslashes($_POST['lname']);
    $phone = mysqli_real_escape_string($con, $phone);
    $email = mysqli_real_escape_string($con, $email);
    $username = strtolower($username);
    $email = strtolower($email);

    $sql = "SELECT * FROM user WHERE username = '$username'";
    $user = $con->query($sql);
    $user = $user->fetch_array();
    $sql = "SELECT * FROM user WHERE email = '$email'";
    $mail = $con->query($sql);
    $mail = $mail->fetch_array();

    if ($user == null || sizeof($user) == 0) {
        if ($mail == null || sizeof($mail) == 0) {
            //Register User

            $sql = "INSERT INTO user (uuid,username, password, role_id, name, phone,email,lname) VALUES ('$uuid', '$username', '$password', '$role_id', '$fname', '$phone', '$email', '$lname')";
            if (mysqli_query($con, $sql)) {
                $sourceDirectory = 'user/template';
                $destinationDirectory = 'user/' . $uuid;

                duplicateDirectory($sourceDirectory, $destinationDirectory);
                redirectToHomePage();
            } else {
                $msg = "<div class='alert alert-danger alert-dismissible'><a href='#' class='close' data-dismiss='alert' aria-label ='close'>&times;</a> Username or Password field is empty</div>";
            }
        } else {
            $msg = "<div class='alert alert-danger alert-dismissible'><a href='#' class='close' data-dismiss='alert' aria-label ='close'>&times;</a>Email already exists</div>";
        }
    } else {
        $msg = "<div class='alert alert-danger alert-dismissible'><a href='#' class='close' data-dismiss='alert' aria-label ='close'>&times;</a>Username already exists</div>";
    }

    echo $msg;


    mysqli_close($con);
}

?>

<!DOCTYPE html>
<html data-bs-theme="light" lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, shrink-to-fit=no">
    <title>EquipCare</title>
    <link rel="stylesheet" href="assets/bootstrap/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Cookie">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Roboto+Slab:300,400|Roboto:300,400,700">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Roboto:wght@300;400;500;700&amp;display=swap">
    <link rel="stylesheet" href="assets/fonts/font-awesome.min.css">
    <link rel="stylesheet" href="assets/css/animated-services.css">
    <link rel="stylesheet" href="assets/css/AXY-Contact-Us-ContactUs.css">
    <link rel="stylesheet" href="assets/css/AXY-Contact-Us.css">
    <link rel="stylesheet" href="assets/css/Black-Navbar.css">
    <link rel="stylesheet" href="assets/css/Bootstrap-Payment-Form-.css">
    <link rel="stylesheet" href="assets/css/dropdown-search-bs4.css">
    <link rel="stylesheet" href="assets/css/Google-Style-Login-.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/suneditor@latest/dist/css/suneditor.min.css">
    <link rel="stylesheet" href="assets/css/Ludens---2-Create.css">
    <link rel="stylesheet" href="assets/css/Ludens---5-Multiple-Cards-inside-Show-v2.css">
    <link rel="stylesheet" href="assets/css/Ludens-Users---3-Profile.css">
    <link rel="stylesheet" href="assets/css/Navbar-Right-Links-Dark-icons.css">
    <link rel="stylesheet" href="assets/css/Navigation-Menu.css">
    <link rel="stylesheet" href="assets/css/Pretty-Footer-.css">
    <link rel="stylesheet" href="assets/css/Top-Navigation-Bar---Daniela-Sousa.css">
    <link rel="stylesheet" href="assets/css/WOWSlider-about-us-WOWSlider-about-us-1.css">
    <link rel="stylesheet" href="assets/css/WOWSlider-about-us-WOWSlider-about-us-2.css">
    <link rel="stylesheet" href="assets/css/WOWSlider-about-us.css">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.11.2/css/all.css">
    <link rel="stylesheet" href="assets/css/style.css">
</head>

<body style="border-radius: 10000px;">
    <nav class="navbar navbar-expand-md navbar-fixed-top navigation-clean-button navbar-light" id="navbar"
        style="background: rgb(34, 34, 34); margin: auto; border-radius: 20;border-top-left-radius: 20;border-top-right-radius: 20;border-bottom-right-radius: 20;border-bottom-left-radius: 20;border-style: none;padding-top: 0;padding-bottom: 10px;width: 100%;position: relative;">
        <div class="container"><button data-bs-toggle="collapse" class="navbar-toggler" data-bs-target="#navcol-1"><span
                    class="visually-hidden">Toggle navigation</span><span class="navbar-toggler-icon"></span></button>
            <div><a class="navbar-brand" href="index.php"><span
                        style="font-family: Roboto, sans-serif;">EQUIPCARE</span> </a></div>
            <div class="collapse navbar-collapse" id="navcol-1" style="color: rgb(255,255,255);">
                <ul class="navbar-nav nav-right">
                    <li class="nav-item"><a class="nav-link active" href="index.php#home"
                            style="color: rgba(224,217,217,0.9);">Home</a></li>
                    <li class="nav-item"><a class="nav-link" href="index.php#aboutus"
                            style="color: rgba(224,217,217,0.9);">About Us</a></li>
                    <li class="nav-item"><a class="nav-link" href="index.php#contact"
                            style="color: rgba(224,217,217,0.9);">Contact </a></li>
                    <li class="nav-item"><a class="nav-link active" href="index.php#services"
                            style="color: rgba(224,217,217,0.9);">Services</a></li>
                    <li class="nav-item"><a class="nav-link" href="products.php"
                            style="color: rgba(224,217,217,0.9);">Market</a></li>
                    <?php
                    if (!isset($_SESSION['uuid'])) {
                        echo '                 </ul><a class="btn btn-light action-button" role="button" href="signup.php" style="color: rgba(0,0,0,0.9);background: var(--bs-gray-200);border-radius: 10px;border-style: solid;border-color: rgba(0,0,0,0.9);font-size: 16px;padding: 0px;width: 72.5px;margin: 0px;padding-left: 0px;margin-left: 170px;">Sign Up</a><a class="login" href="login.php" style="color: rgba(0,0,0,0.9);padding: 0px;font-size: 16px;background: var(--bs-gray-200);border-style: solid;border-color: rgba(0,0,0,0.9);border-radius: 10px;width: 72.5px;margin: 0px;margin-left: 23px;padding-left: 10px;">Log In</a>';
                    }
                    ?>
                    <p class="ms-auto navbar-text actions"> </p>
            </div><span style="width: 71px;"><a id="cart" class="action-button" href="cart.php"
                    style="border-style: solid;border-color: rgba(0,0,0,0.9);border-radius: 10px;background: var(--bs-gray-200);color: rgba(0,0,0,0.9);font-size: 16px;padding: 7px;"><svg
                        xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="currentColor"
                        viewBox="0 0 16 16" class="bi bi-cart4" style="font-size: 19px;margin-bottom: 3px;">
                        <path
                            d="M0 2.5A.5.5 0 0 1 .5 2H2a.5.5 0 0 1 .485.379L2.89 4H14.5a.5.5 0 0 1 .485.621l-1.5 6A.5.5 0 0 1 13 11H4a.5.5 0 0 1-.485-.379L1.61 3H.5a.5.5 0 0 1-.5-.5zM3.14 5l.5 2H5V5H3.14zM6 5v2h2V5H6zm3 0v2h2V5H9zm3 0v2h1.36l.5-2H12zm1.11 3H12v2h.61l.5-2zM11 8H9v2h2V8zM8 8H6v2h2V8zM5 8H3.89l.5 2H5V8zm0 5a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm-2 1a2 2 0 1 1 4 0 2 2 0 0 1-4 0zm9-1a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm-2 1a2 2 0 1 1 4 0 2 2 0 0 1-4 0z">
                        </path>
                    </svg></a></span>
            <div class="dropdown"><button class="btn btn-primary dropbtn" id="profileButton" type="button">Button<img
                        style="position: absolute;width: 100%;height: auto;border-radius: 50%;" width="80" height="127"
                        src="assets/img/unknown.png"></button></div>
            <div id="myDropdown" class="dropdown-content" style="margin-right: 298px;"><a class="dropdown-item"
                    href="my_profile.php">My Profile</a><a class="dropdown-item" href="edit_profile.php">Edit
                    Profile</a><a class="dropdown-item" href="payment.php">My Payment</a><a class="dropdown-item"
                    href="addresses.php">My Adresses</a><a class="dropdown-item" href="order_history.php">Order
                    History&nbsp;</a><a class="dropdown-item" href="myitems.php">Listed Items</a><a
                    class="dropdown-item" href="logout.php">Log Out</a></div>
        </div>
    </nav>
    <div class="container" style="position: relative;margin: auto; margin-top: 250px;">
        <div class="row d-flex d-xl-flex justify-content-center justify-content-xl-center">
            <div class="col-sm-12 col-lg-10 col-xl-9 col-xxl-7 bg-white shadow-lg" style="border-radius: 5px;">
                <div class="p-5">
                    <div class="text-center">
                        <h4 class="text-dark mb-4">Create an Account!</h4>
                    </div>
                    <form class="user" method="POST" action="">
                        <div class="mb-3"><input class="form-control form-control-user" type="text"
                                placeholder="Username" required="" name="username"></div>
                        <div class="mb-3"><input class="form-control form-control-user" type="email" id="email"
                                placeholder="Email Address" required="" name="email"></div>
                        <div class="mb-3"><input class="form-control form-control-user" type="text" id="phone"
                                placeholder="Phone Number" required="" name="phone"></div>
                        <div class="row mb-3">
                            <div class="col-sm-6 mb-3 mb-sm-0"><input class="form-control form-control-user"
                                    type="password" id="password" placeholder="Password" required="" name="password">
                            </div>
                            <div class="col-sm-6"><input class="form-control form-control-user" type="password"
                                    id="verifyPassword" placeholder="Repeat Password" required=""></div>
                        </div>
                        <div class="row mb-3">
                            <div class="col-sm-6 mb-3 mb-sm-0"><input class="form-control form-control-user" type="text"
                                    placeholder="First Name" required="" name="fname"></div>
                            <div class="col-sm-6"><input class="form-control form-control-user" type="text"
                                    placeholder="Last Name" required="" name="lname"></div>
                        </div>
                        <div class="row mb-3">
                            <p id="emailErrorMsg" class="text-danger" style="display:none;">Paragraph</p>
                            <p id="passwordErrorMsg" class="text-danger" style="display:none;">Paragraph</p>
                        </div><button class="btn btn-primary d-block btn-user w-100" id="submitBtn" type="submit"
                            name="submit">Register Account</button>
                        <hr>
                    </form>
                    <div class="text-center"><a class="small" href="forgot-password.php">Forgot Password?</a></div>
                    <div class="text-center"><a class="small" href="login.php">Already have an account? Login!</a></div>
                </div>
            </div>
        </div>
        <script>
        let email = document.getElementById("email")
        let password = document.getElementById("password")
        let verifyPassword = document.getElementById("verifyPassword")
        let submitBtn = document.getElementById("submitBtn")
        let emailErrorMsg = document.getElementById('emailErrorMsg')
        let passwordErrorMsg = document.getElementById('passwordErrorMsg')

        function displayErrorMsg(type, msg) {
            if (type == "email") {
                emailErrorMsg.style.display = "block"
                emailErrorMsg.innerHTML = msg
                submitBtn.disabled = true
            } else {
                passwordErrorMsg.style.display = "block"
                passwordErrorMsg.innerHTML = msg
                submitBtn.disabled = true
            }
        }

        function hideErrorMsg(type) {
            if (type == "email") {
                emailErrorMsg.style.display = "none"
                emailErrorMsg.innerHTML = ""
                submitBtn.disabled = true
                if (passwordErrorMsg.innerHTML == "")
                    submitBtn.disabled = false
            } else {
                passwordErrorMsg.style.display = "none"
                passwordErrorMsg.innerHTML = ""
                if (emailErrorMsg.innerHTML == "")
                    submitBtn.disabled = false
            }
        }

        // Validate password upon change
        password.addEventListener("change", function() {

            // If password has no value, then it won't be changed and no error will be displayed
            if (password.value.length == 0 && verifyPassword.value.length == 0) hideErrorMsg("password")

            // If password has a value, then it will be checked. In this case the passwords don't match
            else if (password.value !== verifyPassword.value) displayErrorMsg("password",
                "Passwords do not match")

            // When the passwords match, we check the length
            else {
                // Check if the password has 8 characters or more
                if (password.value.length >= 8)
                    hideErrorMsg("password")
                else
                    displayErrorMsg("password", "Password must be at least 8 characters long")
            }
        })

        verifyPassword.addEventListener("change", function() {
            if (password.value !== verifyPassword.value)
                displayErrorMsg("password", "Passwords do not match")
            else {
                // Check if the password has 8 characters or more
                if (password.value.length >= 8)
                    hideErrorMsg("password")
                else
                    displayErrorMsg("password", "Password must be at least 8 characters long")
            }
        })

        // Validate email upon change
        email.addEventListener("change", function() {
            // Check if the email is valid using a regular expression (string@string.string)
            if (email.value.match(/^[^@]+@[^@]+\.[^@]+$/))
                hideErrorMsg("email")
            else
                displayErrorMsg("email", "Invalid email")
        });
        </script>
    </div>
    <footer style="position: relative;margin-top: 500px; width: 100%;">
        <div class="row">
            <div class="col-sm-6 col-md-4 footer-navigation">
                <h3><a href="#" style="font-family: Roboto, sans-serif;">EQUIPCARE</a></h3>
                <p class="links"><a href="#navbar">Home</a><strong>&nbsp; · </strong><a
                        href="#aboutus">About</a><strong> · </strong><a href="faqs.php">Faq</a><strong> · </strong><a
                        href="policy.php">Policy</a></p>
                <p class="company-name"></p>
            </div>
            <div class="col-sm-6 col-md-4 footer-contacts">
                <div></div>
                <div><i class="fa fa-phone footer-contacts-icon"></i>
                    <p class="footer-center-info email text-start">0506842641</p>
                </div>
                <div><i class="fa fa-envelope footer-contacts-icon"></i>
                    <p> <a href="#" target="_blank"><br><span
                                style="font-weight: normal !important; color: rgb(219, 222, 225); background-color: rgb(43, 45, 49);">EquipCareOffical@hotmail.com</span><br><br></a>
                    </p>
                </div>
            </div>
            <div class="col-md-4 footer-about">
                <h4>About the EquipCare</h4>
                <p></p>
                <div class="social-links social-icons"><a href="#"><i class="fa fa-facebook"></i></a><a href="#"><i
                            class="fa fa-twitter"></i></a><a href="#"><i class="fa fa-linkedin"></i></a><a href="#"><i
                            class="fa fa-github"></i></a></div>
            </div>
        </div>
    </footer>
    <script src="assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/suneditor@latest/dist/suneditor.min.js"></script>
    <script src="assets/js/Ludens---2-Create-Ludens---2-Create-1.js"></script>
    <script src="assets/js/dropdown-search-bs4-dropdown-search.js"></script>
    <script src="assets/js/dropdown.js"></script>
    <script src="https://geodata.solutions/includes/countrystate.js"></script>
    <script src="assets/js/Ludens---2-Create.js"></script>
    <script src="assets/js/WOWSlider-about-us.js"></script>
    <script src="assets/js/script.js"></script>
</body>

</html>